Opened 3 years ago

Closed 3 years ago

#10269 closed Task/To do item (fixed)

Upgrade to Roundcube 1.0.4

Reported by: https://id.mayfirst.org/srevilak Owned by: https://id.mayfirst.org/srevilak
Priority: Medium Component: Tech
Keywords: roundcube Cc:
Sensitive: no

Description

Roundcube 1.0.4 was just released. We should upgrade

Date: Thu, 18 Dec 2014 17:13:26 +0100
From: Thomas Bruederli <thomas@roundcube.net>
To: Roundcube Announce List <announce@lists.roundcube.net>
Cc: Roundcube Users List <users@lists.roundcube.net>, Roundcube Dev List
        <dev@lists.roundcube.net>
Subject: [Roundcube Announce] Update 1.0.4 released
Message-ID: <CAO3naw4rNHBoGgkSQaw=3Zu1aq1EMpQrqu8e-d-BhoSavtPCDg@mail.gmail.com>

Dear Roundcube users

We're proud to announce the next service release to the stable version
1.0 of Roundcube webmail. It contains a security fix along with some
bug fixes and improvements  for the long term support branch of
Roundcube. The most important ones are:

* Security: Fix possible CSRF attacks to some address book operations
as well as to the ACL and Managesieve plugins.
* Fix attachments encoded in TNEF containers (from Outlook)
* Fix compatibility with PHP 5.2

See the full changelog here: http://trac.roundcube.net/wiki/Changelog

It's considered stable and we recommend to update all productive
installations of Roundcube with this version. Download it from
http://roundcube.net/download.

And remember: backup before updating!

Kind regards,
Thomas

Change History (5)

comment:1 Changed 3 years ago by https://id.mayfirst.org/srevilak

  • Owner set to https://id.mayfirst.org/srevilak
  • Status changed from new to assigned

comment:2 Changed 3 years ago by https://id.mayfirst.org/srevilak

Code Merge

0 sunny:roundcube$ git remote update
Fetching gmo
Fetching origin
remote: Counting objects: 2014, done.
remote: Compressing objects: 100% (1288/1288), done.
remote: Total 2014 (delta 934), reused 1415 (delta 661)
Receiving objects: 100% (2014/2014), 1.91 MiB | 2.72 MiB/s, done.
Resolving deltas: 100% (934/934), done.
From https://github.com/roundcube/roundcubemail
   07fa81d..06410e4  master     -> origin/master
   0d6c673..1f7e63f  release-1.0 -> origin/release-1.0
 * [new tag]         1.0.4      -> 1.0.4
From https://github.com/roundcube/roundcubemail
 * [new tag]         1.1-beta   -> 1.1-beta

0 sunny:roundcube$ git merge 1.0.4

0 sunny:roundcube$ git log  --graph --oneline 1.0.4..HEAD
* a0daf9a Merge tag '1.0.4' into mfpl-release-1.0
*   5def02c Merge branch 'mfpl-release-1.0' of git://git.mayfirst.org/mfpl/roundcube into mfpl-release-1.0
|\  
| * 4a8aac8 (fetch_identity_objects): avoid redundant call to unserialize
| * 96c2a16 Adding two plugins: import_horde_contacts, import_horde_identities
* 4c14f9a (fetch_identity_objects): avoid redundant call to unserialize
* dabb303 Adding two plugins: import_horde_contacts, import_horde_identities

Log looks reasonable. The difference between mfpl-release-1.0 and roundcube's 1.0.4 are our local customizations, and my git merges.

0 sunny:roundcube$ git tag --sign roundcube-1.0.4-mfpl1

0 sunny:roundcube$ git tag --verify roundcube-1.0.4-mfpl1
object a0daf9afdd86f80608e27e22b88781326adf898e
type commit
tag roundcube-1.0.4-mfpl1
tagger Steve Revilak <steve@srevilak.net> 1419092568 -0500

Integration roundcube 1.0.4 changes from upstream
gpg: Signature made Sat 20 Dec 2014 11:23:08 AM EST
gpg:                using RSA key 0x3EB22DE4E594DCF2
gpg: Good signature from "Steve Revilak <steve*srevilak.net>"
0 sunny:roundcube$ 

Push code to gmo

0 sunny:roundcube$ git push gmo mfpl-release-1.0
Counting objects: 1704, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (440/440), done.
Writing objects: 100% (695/695), 563.43 KiB | 0 bytes/s, done.
Total 695 (delta 451), reused 488 (delta 253)
remote: To git-roundcube@moses.mayfirst.org:/srv/git/roundcube
remote:    4a8aac8..a0daf9a  mfpl-release-1.0 -> mfpl-release-1.0
remote:  * [new tag]         1.0.3 -> 1.0.3
remote:  * [new tag]         roundcube-1.0.3-mfpl1 -> roundcube-1.0.3-mfpl1
To ssh://gitosis@git.mayfirst.org/mfpl/roundcube
   5def02c..a0daf9a  mfpl-release-1.0 -> mfpl-release-1.0

0 sunny:roundcube$ git push gmo  --tags
Counting objects: 9686, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (2836/2836), done.
Writing objects: 100% (7368/7368), 2.65 MiB | 4.77 MiB/s, done.
Total 7368 (delta 5122), reused 6599 (delta 4365)
remote: To git-roundcube@moses.mayfirst.org:/srv/git/roundcube
remote:  * [new tag]         1.0.4 -> 1.0.4
remote:  * [new tag]         1.1-beta -> 1.1-beta
remote:  * [new tag]         roundcube-1.0.4-mfpl1 -> roundcube-1.0.4-mfpl1
To ssh://gitosis@git.mayfirst.org/mfpl/roundcube
 * [new tag]         1.0.4 -> 1.0.4
 * [new tag]         1.1-beta -> 1.1-beta
 * [new tag]         roundcube-1.0.4-mfpl1 -> roundcube-1.0.4-mfpl1
0 sunny:roundcube$

comment:3 Changed 3 years ago by https://id.mayfirst.org/srevilak

Roundcube dev upgrade

Deploy code:

0 roundcube-code@stallman:/srv/roundcube-dev$ git remote update
Fetching gmo
remote: Counting objects: 935, done.
remote: Compressing objects: 100% (324/324), done.
remote: Total 697 (delta 451), reused 616 (delta 371)
Receiving objects: 100% (697/697), 564.93 KiB, done.
Resolving deltas: 100% (451/451), completed with 153 local objects.
From git://git.mayfirst.org/mfpl/roundcube
   5def02c..a0daf9a  mfpl-release-1.0 -> gmo/mfpl-release-1.0
 * [new tag]         roundcube-1.0.4-mfpl1 -> roundcube-1.0.4-mfpl1
From git://git.mayfirst.org/mfpl/roundcube
 * [new tag]         1.0.4      -> 1.0.4
0 roundcube-code@stallman:/srv/roundcube-dev$ git tag --verify roundcube-1.0.4-mfpl1
object a0daf9afdd86f80608e27e22b88781326adf898e
type commit
tag roundcube-1.0.4-mfpl1
tagger Steve Revilak <steve.srevilak.net> 1419092568 -0500

Integration roundcube 1.0.4 changes from upstream
gpg: Signature made Sat 20 Dec 2014 11:23:08 AM EST
gpg:                using RSA key 0x3EB22DE4E594DCF2
gpg: checking the trustdb
gpg: 3 marginal(s) needed, 1 complete(s) needed, PGP trust model
gpg: depth: 0  valid:   1  signed:   1  trust: 0-, 0q, 0n, 0m, 0f, 1u
gpg: depth: 1  valid:   1  signed:   0  trust: 1-, 0q, 0n, 0m, 0f, 0u
gpg: next trustdb check due at 2015-02-26
gpg: Good signature from "Steve Revilak <steve.srevilak.net>"

0 roundcube-code@stallman:/srv/roundcube-dev$ git checkout roundcube-1.0.4-mfpl1
Previous HEAD position was 5def02c... Merge branch 'mfpl-release-1.0' of git://git.mayfirst.org/mfpl/roundcube into mfpl-release-1.0
HEAD is now at a0daf9a... Merge tag '1.0.4' into mfpl-release-1.0
0 roundcube-code@stallman:/srv/roundcube-dev$

Run upgrade scripts

0 roundcube-dev@stallman:/srv/roundcube-dev$ php ./bin/update.sh 
What version are you upgrading from? Type '?' if you don't know.
?
Executing database schema update.
This instance of Roundcube is up-to-date.
Have fun!
0 roundcube-dev@stallman:/srv/roundcube-dev$


0 roundcube-dev@stallman:/srv/roundcube-dev$ php bin/indexcontacts.sh 
Indexing contacts for user 1...done.
Indexing contacts for user 2...done.
Indexing contacts for user 4...done.
Indexing contacts for user 5...done.
 [...]
Indexing contacts for user 49...done.
Indexing contacts for user 50...done.
Indexing contacts for user 51...done.
Indexing contacts for user 52...done.
0 roundcube-dev@stallman:/srv/roundcube-dev$

With new version, tried reading messages, moving messages between folders, and sending mail. After sending, observed that User-Agent SMTP header is Roundcube Webmail/1.0.4. So far, looks like a successful upgrade.

comment:4 Changed 3 years ago by https://id.mayfirst.org/srevilak

roundcube upgrade

0 roundcube-code@stallman:~$ cd /srv/roundcube
0 roundcube-code@stallman:/srv/roundcube$ git remote update
Fetching gmo
remote: Counting objects: 935, done.
remote: Compressing objects: 100% (324/324), done.
remote: Total 697 (delta 451), reused 616 (delta 371)
Receiving objects: 100% (697/697), 564.93 KiB, done.
Resolving deltas: 100% (451/451), completed with 153 local objects.
From git://git.mayfirst.org/mfpl/roundcube
   5def02c..a0daf9a  mfpl-release-1.0 -> gmo/mfpl-release-1.0
 * [new tag]         roundcube-1.0.4-mfpl1 -> roundcube-1.0.4-mfpl1
From git://git.mayfirst.org/mfpl/roundcube
 * [new tag]         1.0.4      -> 1.0.4
0 roundcube-code@stallman:/srv/roundcube$


0 roundcube-code@stallman:/srv/roundcube$ git tag --verify roundcube-1.0.4-mfpl1
object a0daf9afdd86f80608e27e22b88781326adf898e
type commit
tag roundcube-1.0.4-mfpl1
tagger Steve Revilak <steve.srevilak.net> 1419092568 -0500

Integration roundcube 1.0.4 changes from upstream
gpg: Signature made Sat 20 Dec 2014 11:23:08 AM EST
gpg:                using RSA key 0x3EB22DE4E594DCF2
gpg: Good signature from "Steve Revilak <steve.srevilak.net>"
0 roundcube-code@stallman:/srv/roundcube$

deploy

0 roundcube-code@stallman:/srv/roundcube$ git checkout roundcube-1.0.4-mfpl1
Previous HEAD position was 5def02c... Merge branch 'mfpl-release-1.0' of git://git.mayfirst.org/mfpl/roundcube into mfpl-release-1.0
HEAD is now at a0daf9a... Merge tag '1.0.4' into mfpl-release-1.0
0 roundcube-code@stallman:/srv/roundcube$

post-upgrade

0 roundcube@stallman:/srv/roundcube$ php bin/update.sh
What version are you upgrading from? Type '?' if you don't know.
?
Executing database schema update.
This instance of Roundcube is up-to-date.
Have fun!
0 roundcube@stallman:/srv/roundcube$


0 roundcube@stallman:/srv/roundcube$ php bin/indexcontacts.sh
Indexing contacts for user 1...done.
Indexing contacts for user 2...done.
Indexing contacts for user 3...done.
  ...
Indexing contacts for user 1279...done.
Indexing contacts for user 1280...done.
Indexing contacts for user 1281...done.
0 roundcube@stallman:/srv/roundcube$ 

Did basic post-upgrade testing (reading and sending messages). Appears to be okay.

comment:5 Changed 3 years ago by https://id.mayfirst.org/srevilak

  • Resolution set to fixed
  • Status changed from assigned to closed

Please login to add comments to this ticket.

Note: See TracTickets for help on using tickets.